import math
import sys

pat = []
lps = []
string = []


class Segment(object):
    epsilon = 0.000001

    def __init__(self, l, x2, y2, x1, y1):
        self.l = l
        self.a1 = 180 * math.atan2(x1, y1) / pi
        self.a2 = 180 * math.atan2(x2, y2) / pi
        self.a = self.a2 - self.a1
        if self.a > 180:
            self.a -= 360
        if self.a < -180:
            self.a += 360

    def equals(self, s2):
        return math.fabs(self.l - s2.l) < self.epsilon and math.fabs(self.a - s2.A) < self.epsilon


def computeLpsArray():
    len = 0
    i = 1

    lps.append(0)

    while i < m:
        if pat[i].equals(pat[len]):
            len += 1
            lps.append(len)
            i += 1
        else:
            if len != 0:
                len = lps[len - 1]
            else:
                lps.append(0)
                i += 1


def kmpMatch():
    i = 0
    j = 0
    lps = []

    computeLpsArray()

    while i < 2 * n:
        if pat[j].equals(string[i % n]):
            j += 1
            i += 1
        if j == m:
            vas = i - j + 1
            return vas
        elif i < 2 * n and not pat[j].equals(string[i % n]):
            if j != 0:
                j = lps[j - 1]
            else:
                i += 1
    return -1


pi = 4 * math.atan(1)

n = int(sys.stdin.readline())
m = n

row1 = sys.stdin.readline().split()
row2 = sys.stdin.readline().split()

ox = []
oy = []

ox2 = []
oy2 = []

x1 = []
x2 = []

y1 = []
y2 = []

l1 = []
l2 = []


perim1 = 0.0
perim2 = 0.0
for i in range(n + 1):
    if i < n:
        x1.append(float(row1[i * 2]))
        y1.append(float(row1[i * 2 + 1]))
        ox.append(x1[i])
        oy.append(y1[i])
        x2.append(float(row2[i * 2]))
        y2.append(float(row2[i * 2 + 1]))
        ox2.append(x2[i])
        oy2.append(y2[i])
    if i > 0:
        x1[i % n] -= ox[i - 1]
        y1[i % n] -= oy[i - 1]
        l1.append(math.hypot(x1[i % n], y1[i % n]))
        perim1 += l1[i - 1]
        x2[i % n] -= ox2[i - 1]
        y2[i % n] -= oy2[i - 1]
        l2.append(math.hypot(x2[i % n], y2[i % n]))
        perim2 += l2[i - 1]

rat = perim1 / perim2

for i in range(n):
    pat.append(Segment(l1[i], x1[(i + 1) % n], y1[(i + 1) % n], x1[i], y1[i]))
    string.append(Segment(l2[i] * rat, x2[(i + 1) % n], y2[(i + 1) % n], x2[i], y2[i]))
res = -1

for i in range(2):
    for j in range(2):
        res = kmpMatch()
        if res > -1: break
        for k in range(n):
            pat[k].A = -pat[k].A
    if res > -1:
        if i == 1:
            res = n + 1 - res
        break
    for k in range(int(n / 2)):
        vah = pat[k]
        pat[k] = pat[n - 1 - k]
        pat[n - 1 - k] = vah
if res == -1:
    print(-1)
else:
    print(rat)
    print(res)
